let linearScale = d3.scaleLinear()
	.domain([-10, 110])
	.range([0, 600])

let thresholdScale = d3.scaleThreshold()
	.domain([0, 50, 100])
	.range(['#ccc', 'lightblue', 'orange', '#ccc'])

let myData = d3.range(-10, 110, 2);

d3.select('#wrapper')
	.selectAll('rect')
	.data(myData)
	.join('rect')
	.attr('x', (d) => linearScale(d))
	.attr('width', 10)
	.attr('height', 30)
	.style('fill', (d) => thresholdScale(d));